<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">



<xsl:template match="/">

<html>
<head>
<title><xsl:value-of select="listEntries/@title"/></title>
</head>
<body>

<h2><xsl:value-of select="listEntries/@title"/></h2>

<table border="2">

	<thead>
		<tr>
			<td> </td>
			<td><b>Title</b></td>
			<td><b>Length</b></td>
			<td><b>Type</b></td>
			<td><b>Artist</b></td>
			<td><b>Source</b></td>
		</tr>
	</thead>	
	<tbody>
		<xsl:apply-templates select="listEntries/playlists"/>
		<xsl:apply-templates select="listEntries/tunes"/>
	</tbody>
</table>

</body>
</html>

</xsl:template>



<xsl:template match="playlists">

	<xsl:for-each select="playlist">

	<tr>
		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="fid"/>?.m3u</xsl:attribute>
				<i>Play</i>
			</a>
		</td>

		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="fid"/>?.html</xsl:attribute>
				<xsl:value-of select="title"/>
			</a>
		</td>

		<td>
			<xsl:value-of select="length"/>
		</td>

		<td>
			Playlist
		</td>

		<td>
			<xsl:value-of select="artist"/>
		</td>

		<td>
			<xsl:value-of select="source"/>
		</td>
	</tr>

	</xsl:for-each>

</xsl:template>



<xsl:template match="tunes">

	<xsl:for-each select="tune">

	<tr>
		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="fid"/>?.m3u</xsl:attribute>
				<i>Play</i>
			</a>
		</td>

		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="fid"/></xsl:attribute>
				<xsl:value-of select="title"/>
			</a>
		</td>

		<td>
			<xsl:value-of select="length"/>
		</td>

		<td>
			Tune
		</td>

		<td>
			<xsl:value-of select="artist"/>
		</td>

		<td>
			<xsl:value-of select="source"/>
		</td>
	</tr>

	</xsl:for-each>

</xsl:template>



</xsl:stylesheet>
